/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.ApplicationIcones;
import org.cocktail.kiwi.client.metier.EOFournis;
import org.cocktail.kiwi.client.metier.EOMission;
import org.cocktail.kiwi.client.metier.EORembZone;
import org.cocktail.kiwi.client.metier.EOSegGroupeInfo;
import org.cocktail.kiwi.client.metier.EOSegTypeInfo;
import org.cocktail.kiwi.client.metier.EOTypeTransport;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class MissionSelectView extends javax.swing.JDialog {

    protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

    
    /** Creates new form TemplateJDialog */
    public MissionSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup displayGroup) {
        super(parent, modal);

        eod = displayGroup;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        tfTitreEngagements = new javax.swing.JTextField();
        btnRechercher = new javax.swing.JButton();
        tfTitreDepenses = new javax.swing.JTextField();
        viewTable = new javax.swing.JPanel();
        btnExporter = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        btnSelectionner = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        tfNumeroMission = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfMissionnaire = new javax.swing.JTextField();
        tfCreateur = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        btnGetMissionnaire = new javax.swing.JButton();
        tfTitreMission = new javax.swing.JTextField();
        btnDelTitre = new javax.swing.JButton();
        btnGetTitre = new javax.swing.JButton();
        btnDelDate = new javax.swing.JButton();
        btnGetDate = new javax.swing.JButton();
        tfDate = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        checkFraisAll = new javax.swing.JRadioButton();
        checkFraisAvec = new javax.swing.JRadioButton();
        checkFraisSans = new javax.swing.JRadioButton();
        checkEtatValide = new javax.swing.JRadioButton();
        jLabel8 = new javax.swing.JLabel();
        checkEtatAll = new javax.swing.JRadioButton();
        checkEtatAnnulee = new javax.swing.JRadioButton();
        checkEtatTerminee = new javax.swing.JRadioButton();
        jLabel9 = new javax.swing.JLabel();
        checkBudgetAll = new javax.swing.JCheckBox();
        checkBudgetValide = new javax.swing.JCheckBox();
        checkBudgetOrdre = new javax.swing.JCheckBox();
        checkBudgetSignature = new javax.swing.JCheckBox();
        checkBudgetLiquidee = new javax.swing.JCheckBox();
        checkBudgetPayee = new javax.swing.JCheckBox();
        jLabel10 = new javax.swing.JLabel();
        zones = new javax.swing.JComboBox();
        typesTransport = new javax.swing.JComboBox();
        jLabel11 = new javax.swing.JLabel();
        btnDelPays = new javax.swing.JButton();
        btnGetPays = new javax.swing.JButton();
        tfPays = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        remboursements = new javax.swing.JComboBox();
        jLabel13 = new javax.swing.JLabel();
        btnGetConvention = new javax.swing.JButton();
        btnDelConvention = new javax.swing.JButton();
        jLabel14 = new javax.swing.JLabel();
        tfConvention = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        tfUb = new javax.swing.JTextField();
        tfCr = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        tfSousCr = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        checkMesMissions = new javax.swing.JCheckBox();
        tfMessageClient = new javax.swing.JLabel();
        checkChargeAPayer = new javax.swing.JCheckBox();
        checkEtatCloturee = new javax.swing.JRadioButton();
        jLabel18 = new javax.swing.JLabel();
        tfCompte = new javax.swing.JTextField();
        btnGetCompte = new javax.swing.JButton();
        btnDelCompte = new javax.swing.JButton();
        jLabel19 = new javax.swing.JLabel();
        tfMotif = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        popupDetailRemb = new javax.swing.JComboBox();
        checkBudgetExtourne = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("MISSION - Recherche Avancée");

        tfTitreEngagements.setBackground(new java.awt.Color(188, 170, 194));
        tfTitreEngagements.setEditable(false);
        tfTitreEngagements.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreEngagements.setText("Filtres de recherche");

        btnRechercher.setText("Rechercher");
        btnRechercher.setToolTipText("Lancer la recherche");

        tfTitreDepenses.setBackground(new java.awt.Color(188, 170, 194));
        tfTitreDepenses.setEditable(false);
        tfTitreDepenses.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDepenses.setText("Résultat de la recherche");

        viewTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnExporter.setText("Exporter Résultat");
        btnExporter.setToolTipText("Exporter Résultat (Excel)");

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Fermer la fenêtre");

        btnSelectionner.setText("Sélectionner");
        btnSelectionner.setToolTipText("Afficher la mission sélectionnée");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Exercice :");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("N° :");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Missionnaire :");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Créateur :");

        tfDate.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Date :");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Frais Missions :");

        buttonGroup1.add(checkFraisAll);
        checkFraisAll.setText("*");
        checkFraisAll.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFraisAllActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFraisAvec);
        checkFraisAvec.setText("AVEC");

        buttonGroup1.add(checkFraisSans);
        checkFraisSans.setText("SANS");

        buttonGroup2.add(checkEtatValide);
        checkEtatValide.setText("VALIDE");
        checkEtatValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtatValideActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Etat Mission :");

        buttonGroup2.add(checkEtatAll);
        checkEtatAll.setText("*");
        checkEtatAll.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtatAllActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkEtatAnnulee);
        checkEtatAnnulee.setText("ANNULEE");

        buttonGroup2.add(checkEtatTerminee);
        checkEtatTerminee.setText("TERMINEE");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Etat Bugétaire :");

        checkBudgetAll.setText("*");
        checkBudgetAll.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetAllActionPerformed(evt);
            }
        });

        checkBudgetValide.setText("VALIDE");
        checkBudgetValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetValideActionPerformed(evt);
            }
        });

        checkBudgetOrdre.setText("ORDRE");
        checkBudgetOrdre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetOrdreActionPerformed(evt);
            }
        });

        checkBudgetSignature.setText("SIGNATURE");
        checkBudgetSignature.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetSignatureActionPerformed(evt);
            }
        });

        checkBudgetLiquidee.setText("LIQUIDEE");
        checkBudgetLiquidee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetLiquideeActionPerformed(evt);
            }
        });

        checkBudgetPayee.setText("PAYEE");
        checkBudgetPayee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetPayeeActionPerformed(evt);
            }
        });

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Zone :");

        zones.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        typesTransport.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Transport :");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Pays :");

        remboursements.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Remboursements :");

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Convention :");

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("UB :");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("CR :");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("SOUS CR :");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Titre :");

        checkMesMissions.setText("MES MISSIONS");
        checkMesMissions.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkMesMissionsActionPerformed(evt);
            }
        });

        tfMessageClient.setFont(new java.awt.Font("Tahoma", 0, 12));
        tfMessageClient.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        tfMessageClient.setText(".");

        checkChargeAPayer.setText("Charges A Payer");
        checkChargeAPayer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkChargeAPayerActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkEtatCloturee);
        checkEtatCloturee.setText("CLOTUREE");
        checkEtatCloturee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtatClotureeActionPerformed(evt);
            }
        });

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Compte");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Motif / Observation");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Détail rembst :");

        popupDetailRemb.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        checkBudgetExtourne.setText("EXTOURNEE");
        checkBudgetExtourne.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBudgetExtourneActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitreEngagements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 982, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(371, Short.MAX_VALUE)
                .add(tfMessageClient, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(50, 50, 50)
                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(40, 40, 40)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(jLabel11)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(typesTransport, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(zones, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 262, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(14, 14, 14)
                                .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .addContainerGap()
                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMotif))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(50, 50, 50)
                                .add(jLabel15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE)
                            .add(jLabel20, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE))))
                .add(25, 25, 25)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(popupDetailRemb, 0, 353, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(tfPays, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 301, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 150, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, remboursements, 0, 353, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnGetCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(59, 59, 59))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(tfTitreDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 962, Short.MAX_VALUE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 962, Short.MAX_VALUE)
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                    .add(checkFraisAll, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(checkFraisAvec, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                    .add(checkEtatAll, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                        .add(checkBudgetValide, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(checkEtatValide, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                            .add(layout.createSequentialGroup()
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkBudgetAll)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(checkEtatAnnulee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(checkBudgetOrdre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(checkBudgetSignature)
                                    .add(checkEtatTerminee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 102, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(checkBudgetLiquidee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 91, Short.MAX_VALUE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(checkBudgetPayee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(checkBudgetExtourne, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(55, 55, 55))
                                    .add(checkEtatCloturee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 147, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createSequentialGroup()
                                .add(checkFraisSans, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 428, Short.MAX_VALUE))))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(tfTitreMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 335, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfNumeroMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMissionnaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(4, 4, 4)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(btnDelTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(btnGetMissionnaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfCreateur, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 220, Short.MAX_VALUE)))
                        .add(25, 25, 25)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(checkChargeAPayer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(checkMesMissions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 161, Short.MAX_VALUE))
                .addContainerGap(38, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitreEngagements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel1)
                            .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel2)
                            .add(tfNumeroMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel3)
                            .add(tfMissionnaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnGetMissionnaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4)
                            .add(tfCreateur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(7, 7, 7)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(tfTitreMission)
                                            .add(jLabel5)
                                            .add(tfDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(jLabel6))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(jLabel7)
                                            .add(checkFraisAll)
                                            .add(checkFraisAvec)
                                            .add(checkFraisSans)))
                                    .add(layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(btnGetTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(btnDelTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(jLabel8)
                                            .add(checkEtatAll)
                                            .add(checkEtatValide)
                                            .add(checkEtatAnnulee)
                                            .add(checkEtatTerminee))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(jLabel9)
                                            .add(checkBudgetAll)
                                            .add(checkBudgetValide)
                                            .add(checkBudgetOrdre)
                                            .add(checkBudgetSignature)))
                                    .add(layout.createSequentialGroup()
                                        .add(checkEtatCloturee)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(checkBudgetLiquidee)
                                            .add(checkBudgetPayee)
                                            .add(checkBudgetExtourne)))))
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(btnGetDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(77, 77, 77))))
                    .add(layout.createSequentialGroup()
                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkMesMissions)
                        .add(8, 8, 8)
                        .add(checkChargeAPayer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(1, 1, 1)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel10)
                        .add(zones, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel12)
                        .add(tfPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnGetPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDelPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(typesTransport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13)
                    .add(remboursements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel15)
                        .add(tfUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel16)
                        .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel17)
                        .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel14)
                        .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel18)
                    .add(tfCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel19)
                    .add(tfMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel20)
                    .add(popupDetailRemb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfTitreDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 361, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfMessageClient)
                    .add(btnSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-998)/2, (screenSize.height-747)/2, 998, 747);
    }// </editor-fold>//GEN-END:initComponents

    private void checkFraisAllActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFraisAllActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFraisAllActionPerformed

    private void checkEtatAllActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtatAllActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkEtatAllActionPerformed

    private void checkEtatValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtatValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkEtatValideActionPerformed

    private void checkBudgetAllActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetAllActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetAllActionPerformed

    private void checkBudgetValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetValideActionPerformed

    private void checkBudgetOrdreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetOrdreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetOrdreActionPerformed

    private void checkBudgetSignatureActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetSignatureActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetSignatureActionPerformed

    private void checkBudgetLiquideeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetLiquideeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetLiquideeActionPerformed

    private void checkBudgetPayeeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetPayeeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetPayeeActionPerformed

    private void checkMesMissionsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMesMissionsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkMesMissionsActionPerformed

    private void checkChargeAPayerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkChargeAPayerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkChargeAPayerActionPerformed

    private void checkEtatClotureeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtatClotureeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkEtatClotureeActionPerformed

    private void checkBudgetExtourneActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBudgetExtourneActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkBudgetExtourneActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	TrajetsSelectView dialog = new TrajetsSelectView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelCompte;
    private javax.swing.JButton btnDelConvention;
    private javax.swing.JButton btnDelDate;
    private javax.swing.JButton btnDelPays;
    private javax.swing.JButton btnDelTitre;
    private javax.swing.JButton btnExporter;
    private javax.swing.JButton btnGetCompte;
    private javax.swing.JButton btnGetConvention;
    private javax.swing.JButton btnGetDate;
    private javax.swing.JButton btnGetMissionnaire;
    private javax.swing.JButton btnGetPays;
    private javax.swing.JButton btnGetTitre;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSelectionner;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JCheckBox checkBudgetAll;
    private javax.swing.JCheckBox checkBudgetExtourne;
    private javax.swing.JCheckBox checkBudgetLiquidee;
    private javax.swing.JCheckBox checkBudgetOrdre;
    private javax.swing.JCheckBox checkBudgetPayee;
    private javax.swing.JCheckBox checkBudgetSignature;
    private javax.swing.JCheckBox checkBudgetValide;
    private javax.swing.JCheckBox checkChargeAPayer;
    private javax.swing.JRadioButton checkEtatAll;
    private javax.swing.JRadioButton checkEtatAnnulee;
    private javax.swing.JRadioButton checkEtatCloturee;
    private javax.swing.JRadioButton checkEtatTerminee;
    private javax.swing.JRadioButton checkEtatValide;
    private javax.swing.JRadioButton checkFraisAll;
    private javax.swing.JRadioButton checkFraisAvec;
    private javax.swing.JRadioButton checkFraisSans;
    private javax.swing.JCheckBox checkMesMissions;
    private javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JComboBox popupDetailRemb;
    private javax.swing.JComboBox remboursements;
    private javax.swing.JTextField tfCompte;
    private javax.swing.JTextField tfConvention;
    private javax.swing.JTextField tfCr;
    private javax.swing.JTextField tfCreateur;
    private javax.swing.JTextField tfDate;
    private javax.swing.JLabel tfMessageClient;
    private javax.swing.JTextField tfMissionnaire;
    private javax.swing.JTextField tfMotif;
    private javax.swing.JTextField tfNumeroMission;
    private javax.swing.JTextField tfPays;
    private javax.swing.JTextField tfSousCr;
    private javax.swing.JTextField tfTitreDepenses;
    private javax.swing.JTextField tfTitreEngagements;
    private javax.swing.JTextField tfTitreMission;
    private javax.swing.JTextField tfUb;
    private javax.swing.JComboBox typesTransport;
    private javax.swing.JPanel viewTable;
    private javax.swing.JComboBox zones;
    // End of variables declaration//GEN-END:variables

    
	public void initExercices(NSArray liste)	 {

		exercices.removeAllItems();
		exercices.addItem("*");
		for (int i=0;i<liste.count();i++)
			exercices.addItem((EOExercice)liste.objectAtIndex(i));

	}

	
    
	public void initZones(NSArray liste)	 {

		zones.removeAllItems();
		zones.addItem("*");
		for (int i=0;i<liste.count();i++)
			zones.addItem((EORembZone)liste.objectAtIndex(i));

	}
	
	public void initTransports(NSArray liste)	 {

		typesTransport.removeAllItems();
		typesTransport.addItem("*");
		for (int i=0;i<liste.count();i++)
			typesTransport.addItem((EOTypeTransport)liste.objectAtIndex(i));

	}
	public void initRemboursements(NSArray liste)	 {

		remboursements.removeAllItems();
		remboursements.addItem("*");
		for (int i=0;i<liste.count();i++)
			remboursements.addItem((EOSegGroupeInfo)liste.objectAtIndex(i));

	}
	public void initDetailsRemboursements(NSArray liste)	 {
		popupDetailRemb.removeAllItems();
		popupDetailRemb.addItem("*");
		for (int i=0;i<liste.count();i++)
			popupDetailRemb.addItem((EOSegTypeInfo)liste.objectAtIndex(i));
	}
    

    private void initGui() {
            	
    	btnRechercher.setIcon(ApplicationIcones.ICON_LOUPE_32);
    	btnSelectionner.setIcon(CocktailIcones.ICON_VALID);
        btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
        btnExporter.setIcon(CocktailIcones.ICON_EXCEL);
        
        btnGetMissionnaire.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetPays.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetConvention.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetTitre.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetDate.setIcon(CocktailIcones.ICON_CALENDAR);

        btnGetCompte.setIcon(CocktailIcones.ICON_LOUPE_16);
        btnDelCompte.setIcon(CocktailIcones.ICON_DELETE);

        btnDelTitre.setIcon(CocktailIcones.ICON_DELETE);
        btnDelPays.setIcon(CocktailIcones.ICON_DELETE);
        btnDelConvention.setIcon(CocktailIcones.ICON_DELETE);
        btnDelDate.setIcon(CocktailIcones.ICON_DELETE);

		checkFraisAll.setSelected(true);
		checkEtatValide.setSelected(true);	

        Vector<ZEOTableModelColumn>myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOMission.MIS_NUMERO_KEY, "Numéro", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setColumnClass(BigDecimal.class);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.FOURNIS_KEY+"."+EOFournis.NOM_KEY, "Nom", 120);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.FOURNIS_KEY+"."+EOFournis.PRENOM_KEY, "Prénom", 110);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_ETAT_KEY, "Etat", 75);
		col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_DEBUT_KEY, "Début", 100);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy HH:mm"));
		col.setColumnClass(Date.class);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_FIN_KEY, "Fin", 100);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy HH:mm"));
    	myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_MOTIF_KEY, "Motif", 250);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
  
		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		
		
		myEOTable.setBackground(CocktailConstantes.BG_COLOR_WHITE);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

		viewTable.setBorder(BorderFactory.createEmptyBorder());
		viewTable.removeAll();
		viewTable.setLayout(new BorderLayout());
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }
    
    
    
    public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelConvention() {
		return btnDelConvention;
	}

	public void setBtnDelConvention(javax.swing.JButton btnDelConvention) {
		this.btnDelConvention = btnDelConvention;
	}

	public javax.swing.JButton getBtnDelDate() {
		return btnDelDate;
	}

	public javax.swing.JCheckBox getCheckChargeAPayer() {
		return checkChargeAPayer;
	}

	public void setCheckChargeAPayer(javax.swing.JCheckBox checkChargeAPayer) {
		this.checkChargeAPayer = checkChargeAPayer;
	}

	public void setBtnDelDate(javax.swing.JButton btnDelDate) {
		this.btnDelDate = btnDelDate;
	}

	public javax.swing.JButton getBtnDelPays() {
		return btnDelPays;
	}

	public void setBtnDelPays(javax.swing.JButton btnDelPays) {
		this.btnDelPays = btnDelPays;
	}

	public javax.swing.JButton getBtnDelTitre() {
		return btnDelTitre;
	}

	public void setBtnDelTitre(javax.swing.JButton btnDelTitre) {
		this.btnDelTitre = btnDelTitre;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JButton getBtnGetConvention() {
		return btnGetConvention;
	}

	public javax.swing.JRadioButton getCheckEtatCloturee() {
		return checkEtatCloturee;
	}

	public void setCheckEtatCloturee(javax.swing.JRadioButton checkEtatCloturee) {
		this.checkEtatCloturee = checkEtatCloturee;
	}

	public void setBtnGetConvention(javax.swing.JButton btnGetConvention) {
		this.btnGetConvention = btnGetConvention;
	}

	public javax.swing.JButton getBtnGetDate() {
		return btnGetDate;
	}

	public void setBtnGetDate(javax.swing.JButton btnGetDate) {
		this.btnGetDate = btnGetDate;
	}

	public javax.swing.JButton getBtnGetMissionnaire() {
		return btnGetMissionnaire;
	}

	public void setBtnGetMissionnaire(javax.swing.JButton btnGetMissionnaire) {
		this.btnGetMissionnaire = btnGetMissionnaire;
	}

	public javax.swing.JButton getBtnGetPays() {
		return btnGetPays;
	}

	public void setBtnGetPays(javax.swing.JButton btnGetPays) {
		this.btnGetPays = btnGetPays;
	}

	public javax.swing.JButton getBtnGetTitre() {
		return btnGetTitre;
	}

	public void setBtnGetTitre(javax.swing.JButton btnGetTitre) {
		this.btnGetTitre = btnGetTitre;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JButton getBtnSelectionner() {
		return btnSelectionner;
	}

	public void setBtnSelectionner(javax.swing.JButton btnSelectionner) {
		this.btnSelectionner = btnSelectionner;
	}

	public javax.swing.JCheckBox getCheckBudgetAll() {
		return checkBudgetAll;
	}

	public void setCheckBudgetAll(javax.swing.JCheckBox checkBudgetAll) {
		this.checkBudgetAll = checkBudgetAll;
	}

	public javax.swing.JCheckBox getCheckBudgetLiquidee() {
		return checkBudgetLiquidee;
	}

	public void setCheckBudgetLiquidee(javax.swing.JCheckBox checkBudgetLiquidee) {
		this.checkBudgetLiquidee = checkBudgetLiquidee;
	}

	public javax.swing.JCheckBox getCheckBudgetOrdre() {
		return checkBudgetOrdre;
	}

	public void setCheckBudgetOrdre(javax.swing.JCheckBox checkBudgetOrdre) {
		this.checkBudgetOrdre = checkBudgetOrdre;
	}

	public javax.swing.JCheckBox getCheckBudgetPayee() {
		return checkBudgetPayee;
	}

	public void setCheckBudgetPayee(javax.swing.JCheckBox checkBudgetPayee) {
		this.checkBudgetPayee = checkBudgetPayee;
	}

	public javax.swing.JCheckBox getCheckBudgetSignature() {
		return checkBudgetSignature;
	}

	public void setCheckBudgetSignature(javax.swing.JCheckBox checkBudgetSignature) {
		this.checkBudgetSignature = checkBudgetSignature;
	}

	public javax.swing.JCheckBox getCheckBudgetValide() {
		return checkBudgetValide;
	}

	public void setCheckBudgetValide(javax.swing.JCheckBox checkBudgetValide) {
		this.checkBudgetValide = checkBudgetValide;
	}

	public javax.swing.JRadioButton getCheckEtatAll() {
		return checkEtatAll;
	}

	public void setCheckEtatAll(javax.swing.JRadioButton checkEtatAll) {
		this.checkEtatAll = checkEtatAll;
	}

	public javax.swing.JRadioButton getCheckEtatAnnulee() {
		return checkEtatAnnulee;
	}

	public void setCheckEtatAnnulee(javax.swing.JRadioButton checkEtatAnnulee) {
		this.checkEtatAnnulee = checkEtatAnnulee;
	}

	public javax.swing.JRadioButton getCheckEtatTerminee() {
		return checkEtatTerminee;
	}

	public void setCheckEtatTerminee(javax.swing.JRadioButton checkEtatTerminee) {
		this.checkEtatTerminee = checkEtatTerminee;
	}

	public javax.swing.JRadioButton getCheckEtatValide() {
		return checkEtatValide;
	}

	public void setCheckEtatValide(javax.swing.JRadioButton checkEtatValide) {
		this.checkEtatValide = checkEtatValide;
	}

	public javax.swing.JRadioButton getCheckFraisAll() {
		return checkFraisAll;
	}

	public void setCheckFraisAll(javax.swing.JRadioButton checkFraisAll) {
		this.checkFraisAll = checkFraisAll;
	}

	public javax.swing.JRadioButton getCheckFraisAvec() {
		return checkFraisAvec;
	}

	public void setCheckFraisAvec(javax.swing.JRadioButton checkFraisAvec) {
		this.checkFraisAvec = checkFraisAvec;
	}

	public javax.swing.JRadioButton getCheckFraisSans() {
		return checkFraisSans;
	}

	public void setCheckFraisSans(javax.swing.JRadioButton checkFraisSans) {
		this.checkFraisSans = checkFraisSans;
	}

	public javax.swing.JCheckBox getCheckMesMissions() {
		return checkMesMissions;
	}

	public void setCheckMesMissions(javax.swing.JCheckBox checkMesMissions) {
		this.checkMesMissions = checkMesMissions;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}

	public javax.swing.JComboBox getRemboursements() {
		return remboursements;
	}

	public void setRemboursements(javax.swing.JComboBox remboursements) {
		this.remboursements = remboursements;
	}

	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}

	public void setTfConvention(javax.swing.JTextField tfConvention) {
		this.tfConvention = tfConvention;
	}

	public javax.swing.JTextField getTfCr() {
		return tfCr;
	}

	public void setTfCr(javax.swing.JTextField tfCr) {
		this.tfCr = tfCr;
	}

	public javax.swing.JTextField getTfCreateur() {
		return tfCreateur;
	}

	public void setTfCreateur(javax.swing.JTextField tfCreateur) {
		this.tfCreateur = tfCreateur;
	}

	public javax.swing.JTextField getTfDate() {
		return tfDate;
	}

	public void setTfDate(javax.swing.JTextField tfDate) {
		this.tfDate = tfDate;
	}

	public javax.swing.JLabel getTfMessageClient() {
		return tfMessageClient;
	}

	public void setTfMessageClient(javax.swing.JLabel tfMessageClient) {
		this.tfMessageClient = tfMessageClient;
	}

	public javax.swing.JTextField getTfMissionnaire() {
		return tfMissionnaire;
	}

	public void setTfMissionnaire(javax.swing.JTextField tfMissionnaire) {
		this.tfMissionnaire = tfMissionnaire;
	}

	public javax.swing.JTextField getTfNumeroMission() {
		return tfNumeroMission;
	}

	public void setTfNumeroMission(javax.swing.JTextField tfNumeroMission) {
		this.tfNumeroMission = tfNumeroMission;
	}

	public javax.swing.JTextField getTfPays() {
		return tfPays;
	}

	public void setTfPays(javax.swing.JTextField tfPays) {
		this.tfPays = tfPays;
	}

	public javax.swing.JTextField getTfSousCr() {
		return tfSousCr;
	}

	public void setTfSousCr(javax.swing.JTextField tfSousCr) {
		this.tfSousCr = tfSousCr;
	}

	public javax.swing.JTextField getTfTitreDepenses() {
		return tfTitreDepenses;
	}

	public void setTfTitreDepenses(javax.swing.JTextField tfTitreDepenses) {
		this.tfTitreDepenses = tfTitreDepenses;
	}

	public javax.swing.JTextField getTfTitreEngagements() {
		return tfTitreEngagements;
	}

	public void setTfTitreEngagements(javax.swing.JTextField tfTitreEngagements) {
		this.tfTitreEngagements = tfTitreEngagements;
	}

	public javax.swing.JTextField getTfTitreMission() {
		return tfTitreMission;
	}

	public void setTfTitreMission(javax.swing.JTextField tfTitreMission) {
		this.tfTitreMission = tfTitreMission;
	}

	public javax.swing.JTextField getTfUb() {
		return tfUb;
	}

	public void setTfUb(javax.swing.JTextField tfUb) {
		this.tfUb = tfUb;
	}

	public javax.swing.JComboBox getTypesTransport() {
		return typesTransport;
	}

	public void setTypesTransport(javax.swing.JComboBox typesTransport) {
		this.typesTransport = typesTransport;
	}

	public javax.swing.JComboBox getZones() {
		return zones;
	}

	public void setZones(javax.swing.JComboBox zones) {
		this.zones = zones;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JButton getBtnDelCompte() {
		return btnDelCompte;
	}

	public javax.swing.JButton getBtnGetCompte() {
		return btnGetCompte;
	}

	public javax.swing.JTextField getTfCompte() {
		return tfCompte;
	}

	public javax.swing.JTextField getTfMotif() {
		return tfMotif;
	}

	public void setTfMotif(javax.swing.JTextField tfMotif) {
		this.tfMotif = tfMotif;
	}

	public void setTfCompte(javax.swing.JTextField tfCompte) {
		this.tfCompte = tfCompte;
	}

	public javax.swing.JComboBox getPopupDetailRemb() {
		return popupDetailRemb;
	}

	public void setPopupDetailRemb(javax.swing.JComboBox popupDetailRemb) {
		this.popupDetailRemb = popupDetailRemb;
	}

	public javax.swing.JCheckBox getCheckBudgetExtourne() {
		return checkBudgetExtourne;
	}

	public void setCheckBudgetExtourne(javax.swing.JCheckBox checkBudgetExtourne) {
		this.checkBudgetExtourne = checkBudgetExtourne;
	}
    
}
